%define upstream_name Horde_Http
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.1
Release:     	%mkrel 1
Summary:    	Horde HTTP libraries
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Support <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Support = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Http = %{version}

%description
This package provides a set of classes for making HTTP requests.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Http.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Http.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Http
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Http/COPYING
%doc docs/Horde_Http/examples/get-example-dot-com.php
%{peardir}/Horde/Http.php
%{peardir}/Horde/Http/Client.php
%{peardir}/Horde/Http/Exception.php
%{peardir}/Horde/Http/Request/Base.php
%{peardir}/Horde/Http/Request/Curl.php
%{peardir}/Horde/Http/Request/Factory.php
%{peardir}/Horde/Http/Request/Fopen.php
%{peardir}/Horde/Http/Request/Mock.php
%{peardir}/Horde/Http/Request/Peclhttp.php
%{peardir}/Horde/Http/Response/Base.php
%{peardir}/Horde/Http/Response/Curl.php
%{peardir}/Horde/Http/Response/Fopen.php
%{peardir}/Horde/Http/Response/Mock.php
%{peardir}/Horde/Http/Response/Peclhttp.php
%{peardir}/tests/Horde_Http/Horde/Http/AllTests.php
%{peardir}/tests/Horde_Http/Horde/Http/Autoload.php
%{peardir}/tests/Horde_Http/Horde/Http/ClientTest.php
%{peardir}/tests/Horde_Http/Horde/Http/CurlTest.php
%{peardir}/tests/Horde_Http/Horde/Http/FopenTest.php
%{peardir}/tests/Horde_Http/Horde/Http/conf.php.dist
%{peardir}/tests/Horde_Http/Horde/Http/MockTest.php
%{peardir}/tests/Horde_Http/Horde/Http/phpunit.xml
%{xmldir}/Horde_Http.xml







%changelog

* Mon Feb 27 2012 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 215524
- update to 1.1.1

* Sun Nov 06 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 164461
- upgrade to 1.1.0
- changed Provides: php-pear-Horde_Http to php-pear-Horde_Http  = %%{version)
- imported package php-pear-Horde_Http

